/************************************************************
 *  * Hyphenate
 * __________________
 * Copyright (C) 2016 Hyphenate Inc. All rights reserved.
 *
 * NOTICE: All information contained herein is, and remains
 * the property of Hyphenate Inc.
 */

#import "AgoraGroupPermissionCell.h"

@interface AgoraGroupPermissionCell()


@end

@implementation AgoraGroupPermissionCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
    self.accessoryType = UITableViewCellAccessoryNone;
    _permissionSwitch.hidden = YES;
    _permissionTitleLabel.font = [UIFont fontWithName:@"PingFangSC-Semibold" size:16.0f];
    _permissionTitleLabel.textColor = COLOR_HEX(0x0D0D0D);
}

- (IBAction)permissionSelectAction:(UISwitch *)sender {
    if (self.switchStateBlock) {
        self.switchStateBlock(sender.isOn);
    }
}

- (void)setModel:(AgoraGroupPermissionModel *)model {
    _model = model;
    _permissionTitleLabel.text = _model.title;
    if (_model.isEdit) {
        _permissionDescriptionLabel.hidden = YES;
        _permissionSwitch.hidden = NO;
        [_permissionSwitch setOn:_model.switchState];
    }
    else {
        _permissionSwitch.hidden = YES;
        _permissionDescriptionLabel.hidden = NO;
        _permissionDescriptionLabel.text = _model.permissionDescription;
    }
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end


@implementation AgoraGroupPermissionModel



@end

