/**
 *  
 *  @header AgoraChatMessageBody.h
 *  @abstract Base class of message body
 *  @author Hyphenate
 *  @version 3.00
 */

#import <Foundation/Foundation.h>
#import <CoreGraphics/CGGeometry.h>

/**
 *  
 *  The enum of message body types.
 */
typedef NS_ENUM(NSInteger, AgoraChatMessageBodyType) {
    AgoraChatMessageBodyTypeText   = 1,    /**  A text message.*/
    AgoraChatMessageBodyTypeImage,         /**  An image message.*/
    AgoraChatMessageBodyTypeVideo,         /**  A video message.*/
    AgoraChatMessageBodyTypeLocation,      /**  A location message.*/
    AgoraChatMessageBodyTypeVoice,         /**  A voice message.*/
    AgoraChatMessageBodyTypeFile,          /**  A file message.*/
    AgoraChatMessageBodyTypeCmd,           /**  A command message.*/
    AgoraChatMessageBodyTypeCustom,        /**  A custom message.*/
};

/**
 *   
 *  The message body.
 */
@interface AgoraChatMessageBody : NSObject

/**
 *   
 *  The message body type.
 */
@property (nonatomic, readonly) AgoraChatMessageBodyType type;

@end
