//
//  AgoraChatThread.h
//  AgoraChat
//
//  Created by 朱继超 on 2022/3/1.
//  Copyright © 2022 easemob.com. All rights reserved.
//

#import <Foundation/Foundation.h>


@class AgoraChatMessage;
@interface AgoraChatThread : NSObject

/*!
 *  
 *  sub-zone id
 */
@property (readonly) NSString *threadId;

/*!
*  
*  Subject of the sub-zone(There will be a list of requested sub-areas and sub-area details)
*/
@property (nonatomic, strong) NSString *threadName;

/*!
 *  
 *  create  of the sub-zone, require fetch thread's detail first
 */
@property (readonly) NSString *owner;
/*!
 *  
 *  A messageId that create sub-zone
 */
@property (readonly) NSString *messageId;
/*!
 *  
 *  A channelId that create sub-zone
 */
@property (readonly) NSString *parentId;


/*!
 *  
 *  Member list of the sub-zone, require fetch thread's detail first
 */
@property (readonly) int membersCount;
/*!
 *  
 *  Number of messages in subsection
 */
@property (readonly) int messageCount;
/*!
 *  
 *  Timestamp of subarea creation
 */
@property (readonly) int createAt;

/*!
 *  
 *  The last message in the sub-area, if it is empty, it means the last message is withdrawn. If it is not empty, it means a new message.
 */
@property (readonly) AgoraChatMessage *lastMessage;

@end


